#!/bin/bash

set -eux

export MIRROR_UID="${MIRROR_UID:-1000}"
export MIRROR_GID="${MIRROR_GID:-1000}"
export MIRROR_ARCH="${MIRROR_ARCH:-amd64}"
export MIRROR_SECTION="${MIRROR_SECTION:-main,restricted,universe,multiverse}"
export MIRROR_RELEASE="${MIRROR_RELEASE:-jammy,jammy-security,jammy-updates,jammy-backports}"
export MIRROR_SERVER="${MIRROR_SERVER:-archive.ubuntu.com}"
export MIRROR_PROTO="${MIRROR_PROTO:-http}"
export MIRROR_CRON="${MIRROR_CRON:-8 4 * * *}"

groupadd --gid $MIRROR_UID aptmirror
useradd --no-user-group --gid aptmirror --uid $MIRROR_UID aptmirror

chown aptmirror:aptmirror /data
chown aptmirror:aptmirror /data/* || true

if [ ! -f /data/keyring/trustedkeys.gpg ]; then
    install -d -g aptmirror -o aptmirror /data/keyring
    sudo -Hu aptmirror GNUPGHOME=/data/keyring gpg --no-default-keyring --keyring /data/keyring/trustedkeys.gpg --import /usr/share/keyrings/ubuntu-archive-keyring.gpg
fi
